Subject: RE: [Disman] FW: Communication of Alarm Info Workging Group last callcomplete

From: "Romascanu, Dan \(Dan\)" <[email-masked]>
Date: Mon, 4 Oct 2004 16:08:04 +0200

I suggest the following changes:

In Section 3.1.3

OLD

  In this document we define one new Error Code.  The Error Code uses
   the value TBA (by IANA) and is referred to as "Alarms".  The values
   used in the Error Values field are the same as the values used for
   IANAItuProbableCause in the Alarm MIB [ALARM-MIB].  Note these values
   are managed by IANA, see http://www.iana.org.

NEW:

  In this document we define one new Error Code.  The Error Code uses
   the value TBA (by IANA) and is referred to as " GMPLS Alarms".  The values
   used in the Error Values field are the same as the values used for
   IANAItuProbableCause in the Alarm MIB [ALARM-MIB].  Note these values
   are managed by IANA, see the IANA Considerations Section

IN the IANA Considerations Section:

OLD:

   Additionally, Section 3.1.3 defines a new Error Code.  The Error Code
   is "Alarms" and uses Error Values defined in the Alarm MIB [ALARM-
   MIB].  The suggested Error code value is 28.

NEW:

Additionally, Section 3.1.3 defines a new Error Code.  The Error Code
   is "GMPLS Alarms" and uses Error Values similar to  IANAItuProbableCause
   defined in the Alarm MIB [ALARM-MIB].  The Error code value allocated by IANA 
   is TBD, see http://www.iana.org.

In Section 6.1

OLD:

[ALARM-MIB] Chisholm, S., Romascanu, D., "Alarm MIB",
            draft-ietf-disman-alarm-mib-18.txt, February 2004

NEW: 

[ALARM-MIB] Chisholm, S., Romascanu, D., "Alarm MIB",
            RFC 3877, September 2004

What I suggest is to require from IANA a code value for 'GMPLS Alarms' , and then use the text as suggested.

Regards,

Dan

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]]On Behalf Of Wijnen, Bert (Bert)
> Sent: 04 October, 2004 3:21 PM
> To: Disman (E-mail) (E-mail)
> Cc: Adrian Farrel (E-mail)
> Subject: [Disman] FW: Communication of Alarm Info Workging 
> Group last callcomplete
> 
> 
> So the WG chair agrees it would have been goor to check with 
> DISMAN WG.
> I guess if we do review quickly, that that would be good.
> 
> Bert
> 
> -----Original Message-----
> From: Adrian Farrel [mailto:[email-masked]]
> Sent: Monday, October 04, 2004 15:17
> To: Wijnen, Bert (Bert)
> Subject: Re: Communication of Alarm Info Workging Group last call
> complete
> 
> 
> Hi,
> 
> Yes, I guess that would have been sensible. Thanks for catching it.
> 
> Of course, it there are any comments arising, we will fold them in.
> 
> Adrian
> ----- Original Message ----- 
> From: "Wijnen, Bert (Bert)" <[email-masked]>
> To: "'Adrian Farrel'" <[email-masked]>
> Sent: Monday, October 04, 2004 2:12 PM
> Subject: RE: Communication of Alarm Info Workging Group last 
> call complete
> 
> 
> > Did you tell DISMAN WG (doing ALARM MIB) that this last call
> > had been going on? I would have done so myself, but I guess
> > I missed the start of the last call.
> > 
> > Anyway, I have forwarded the below, just in case.
> > 
> > Bert
> > 
> > > -----Original Message-----
> > > From: Adrian Farrel [mailto:[email-masked]]
> > > Sent: Sunday, October 03, 2004 22:29
> > > To: [email-masked]
> > > Subject: Communication of Alarm Info Workging Group last 
> call complete
> > > 
> > > 
> > > This email concludes the Working Group last call on 
> > > draft-ietf-ccamp-gmpls-alarm-spec
> > > 
> > > Authors,
> > > 
> > > Please address the comments made during last call by updating 
> > > the draft and republishing.
> > > Please inform the list of any changes you make.
> > > 
> > > Thanks,
> > > Adrian
> > > 
> > 
> > 
> 
>

---

From: "Adrian Farrel" <[email-masked]>
Date: Mon, 4 Oct 2004 16:15:17 +0100

Thanks Dan,

[Lou Berger copied on this email as Ed. of this draft]

>   are managed by IANA, see the IANA Considerations Section

I see two changes.
1. "Alarms" --> "GMPLS Alarms"
I'm not sure why you propose this change. The alarms indicated are NOT GMPLS alarms. They
are Alarm MIB alarms indicated using GMPLS signaling. I presume that the Alarm MIB does
not refer to them as GMPLS Alarms.
2. Reference changed from URL to IANA Considerations Section
I have no strong feeling on this, but it seems to me that the IANA Considerations Section
is intended to list IANA actions for this draft, not to provide reference information for
the reader. I anything, I would tend to strike the whole sentence ["Note these..."] as
irrelevant.

>In the IANA Considerations Section:
>
>OLD:
>

I see points:
1. Change of "Alarms" to "GMPLS Alarms". As above.
2. Addition of "similar to ...."
    This is good, but must use "which are the same as..."
3. Removal of suggested value.
   We MUST suggest a value to IANA. This is a complex code space and
   it is highly helpful to IANA that we suggest a value.
4. Reference to IANA URL. As before, this section is provided for IANA's
   benefit. So no URL is needed.

>[ALARM-MIB] Chisholm, S., Romascanu, D., "Alarm MIB",

Yup. We noticed that. Well done!

> What I suggest is to require from IANA a code value for 'GMPLS Alarms' , and then use
the text as suggested.

Thanks. Yes, we could do this, but have no need as the established procedures for managing
the RSVP code points are well understood by the community and by IANA. Thus, the actual
value will be supplied just prior to RFC Ed. If there is a need for resolution of this
particular value sooner than that, we will of course apply to IANA under the provisions of
draft-kompella-rsvp-change-02.txt

Cheers,
Adrian